#define source name
%define sname uTidylib
#define lib name
%define lname tidy

%define name python-%lname
%define version 0.2
%define release %mkrel 6

Summary:	Wrapper for HTML Tidy
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		http://utidylib.sf.net
Source:		%{sname}-%{version}.tar.xz
#Patch0:        python-tidy-0.2-64-bit-safe.patch
License:	MIT
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	python-devel
Provides:	%{sname}

%description
A wrapper for the relocatable version of HTML Tidy
(see U{http://tidy.sourceforge.net for details}).
This allows you to tidy HTML files through a Pythonic interface.


%prep
%setup -q -n %sname-%version
#%apply_patches

%build
%__python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%__python setup.py install --skip-build --prefix=$RPM_BUILD_ROOT%_prefix

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*


%changelog
* Thu Dec 08 2016 adrianomorselli <adrianomorselli> 0.2-6uplos2016
- rebuild no 64bit patch necessary

* Fri Jul 29 2016 bb <bb> 0.2-6pclos2016
- update for new tidy

